=== modified file 'loggerhead/middleware/profile.py'
--- loggerhead/middleware/profile.py	2009-03-30 22:05:16 +0000
+++ loggerhead/middleware/profile.py	2009-04-18 06:30:47 +0000
@@ -1,11 +1,11 @@
 '''Profiling middleware for paste.'''
-import cgi
+
 import logging
 import sys
 import threading
 
 from bzrlib.lsprof import profile
-from guppy import hpy
+
 
 class LSProfMiddleware(object):
     '''Paste middleware for profiling with lsprof.'''

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2009-04-02 20:32:12 +0000
+++ loggerhead/util.py	2009-04-18 06:30:47 +0000
@@ -537,7 +537,7 @@
     _reloader_environ_key = 'PYTHON_RELOADER_SHOULD_RUN'
 
     @classmethod
-    def _turn_sigterm_into_systemexit(self):
+    def _turn_sigterm_into_systemexit(cls):
         """
         Attempts to turn a SIGTERM exception into a SystemExit exception.
         """
@@ -551,16 +551,16 @@
         signal.signal(signal.SIGTERM, handle_term)
 
     @classmethod
-    def is_installed(self):
+    def is_installed(cls):
         return os.environ.get(self._reloader_environ_key)
 
     @classmethod
-    def install(self):
+    def install(cls):
         from paste import reloader
         reloader.install(int(1))
 
     @classmethod
-    def restart_with_reloader(self):
+    def restart_with_reloader(cls):
         """Based on restart_with_monitor from paste.script.serve."""
         print 'Starting subprocess with file monitor'
         while 1:

=== modified file 'start-loggerhead'
--- start-loggerhead	2009-02-19 01:24:20 +0000
+++ start-loggerhead	2009-04-18 06:30:47 +0000
@@ -17,7 +17,6 @@
 
 
 import logging
-import logging.handlers
 from optparse import OptionParser
 import os
 import sys
@@ -32,7 +31,7 @@
 
 from loggerhead import daemon
 from loggerhead.apps.config import Root
-from loggerhead.trace import make_handler, setup_logging
+from loggerhead.trace import setup_logging
 from loggerhead.apps.error import ErrorHandlerApp
 
 

